.section-icco-banner {
  padding-top: 48px;
  padding-bottom: 48px;
  margin: 0 !important;
}

.section-icco-banner .elementor-inner-section {
  padding: 24px 0 !important;
}

.section-icco-banner .icco-group-media-col {
  border-top-right-radius: 24px;
  border-bottom-right-radius: 24px;
  border-bottom-left-radius: 24px;
}

.section-icco-banner .icco-group-media-col > .elementor-widget-wrap {
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
}

.section-icco-banner .icco-group-media-col > .elementor-widget-wrap.hide-bg {
  background-image: none !important;
  pointer-events: none !important;
}

.section-icco-banner .icco-group-media-col > .elementor-widget-wrap {
  border-radius: 24px;
}

.section-icco-banner .icco-group-media-container {
  width: 100%;
  /* height: 460px; */
  position: relative;
}

.section-icco-banner .icco-group-media-container .elementor-widget-container {
  height: 100%;
  margin-bottom: -5px;
}

.section-icco-banner .icco-group-media {
  width: 100%;
  height: 100%;
  border-radius: 24px;
}

.section-icco-banner .icco-group-media video {
  object-fit: cover;
  border-radius: 24px;
}

.section-icco-banner .icco-group-media-container:after {
  content: "";
  background-image: url(/wp-content/uploads/2024/12/menu-shape.svg);
  background-repeat: no-repeat;
  position: absolute;
  border-top-left-radius: 24px;
  z-index: 1;
  left: -1px;
  top: -1px;
  width: 247px;
  height: 140px;
}

.section-icco-banner.group-light .icco-group-media-container:after {
  filter: brightness(100);
  left: -1px;
  top: -1px;
}

.section-icco-banner .icco-group-logo {
  filter: brightness(100);
}

.section-icco-banner.group-light .icco-group-logo {
  filter: none;
}

.section-icco-banner .icco-group-logo {
  width: 133.67px;
  height: 30px;
  position: absolute;
  z-index: 2;
  left: 56.6px;
  top: 27.5px;
}

.section-icco-banner .icco-group-text {
  padding: 0 72px;
}

.section-icco-banner .icco-group-text .pxl-heading,
.section-icco-banner .icco-group-text .pxl-text-editor {
  max-width: 363px;
}

.section-icco-banner .icco-group-text .typography-body1 .elementor-widget-container {
  margin-bottom: 24px !important;
}

@media screen and (min-width: 1440px) {
  .section-icco-banner .elementor-container {
    max-width: 1300px;
    margin: 0 auto;
  }

  .section-icco-banner .icco-group-media-col > .elementor-widget-wrap {
    width: calc(100% + 40px);
    margin-left: -40px;
  }

  .section-icco-banner .icco-group-logo {
    left: 45px;
  }
}

@media screen and (min-width: 1920px) {
  .section-icco-banner .icco-group-media-col > .elementor-widget-wrap {
    width: calc(100% + 100px);
    margin-left: -100px;
  }
}

@media screen and (max-width: 1200px) {
  .section-icco-banner .elementor-inner-section > .elementor-container {
    flex-direction: column-reverse;
  }

  .section-icco-banner .icco-group-text {
    padding: 0;
  }

  .section-icco-banner .icco-group-text .pxl-heading,
  .section-icco-banner .icco-group-text .pxl-text-editor {
    margin: 0 auto;
    text-align: center;
  }

  .section-icco-banner .icco-group-text .pxl-button {
    text-align: center;
  }

  .section-icco-banner .icco-group-text .elementor-widget-container {
    margin-bottom: 24px !important;
  }

  .section-icco-banner .icco-group-text .pxl-item--title > .split-line {
    text-align: center;
  }
}

@media screen and (max-width: 768px) {
  .section-icco-banner {
    padding-left: 24px !important;
    padding-right: 24px !important;
  }

  .section-icco-banner .icco-group-media-col {
    margin-bottom: 0 !important;
  }

  .section-icco-banner .icco-group-text .pxl-heading,
  .section-icco-banner .icco-group-text .pxl-text-editor {
    margin: 0;
  }

  .section-icco-banner .icco-group-text .pxl-heading,
  .section-icco-banner .icco-group-text .pxl-text-editor,
  .section-icco-banner .icco-group-text .pxl-button,
  .section-icco-banner .icco-group-text .pxl-item--title > .split-line {
    text-align: left;
  }

  .section-icco-banner .icco-group-media-container:after {
    width: 164.5px;
    height: 93.3px;
  }

  .section-icco-banner .icco-group-logo {
    width: 89px;
    height: 20px;
    left: 36.6px;
    top: 18.5px;
  }
}
